Results 1 to 8 of 8

Thread: Yast aplication and update fails

  1. #1

    Default Yast aplication and update fails

    I have some prbolems wtih auto update and software amangement, i have to refresh repos with:
    Code:
     rm -R /var/cache/zypp/*
    andzypper -v refresh -f
    to update and when i try to install something i get:
    Code:
    down vote favorite Get this each time i try install a program: Config 'root' not found. terminate called after throwing an instance of 'std::runtime_error' what(): locale::facet::_S_create_c_locale name not valid YaST got signal 6 at YCP file String.ycp:170 /sbin/yast2: line 427: 2730 Aborted $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS Config 'root' not found
    Anybody got any ideas?

    Regards

    Tore

  2. #2
    dd NNTP User

    Default Re: Yast aplication and update fails

    On 12/18/2012 03:36 PM, toreft wrote:
    > Anybody got any ideas?


    tell us please:

    -what operating system and version you run?

    -what desktop environment and version, if any?

    -did this system ever ran without these problems?

    -do you often log into KDE/GNOME/LXDE/Xfce/etc as the System
    Administrator or root?

    -if you are running in a VM or on a real machine.

    -you say you get that error when you try to install....what i want to
    know is where do you see that error? is it a pop-up error message in KDE
    or other desktop? or is it in a terminal running YaST

    since i have _never_ had to do this: rm -R /var/cache/zypp/* it seems
    to me that your system is really badly broken, and i have to wonder how
    that happened!

    can you tell us what happened? not long before it started needing to
    have that cache wiped out...

    --
    dd

  3. #3

    Default Re: Yast aplication and update fails

    tell us please:

    -what operating system and version you run?
    Code:
     cat /etc/os-release
    NAME=openSUSE
    VERSION="12.2 (Mantis)"
    VERSION_ID="12.2"
    PRETTY_NAME="openSUSE 12.2 (Mantis) (i586)"
    ID=opensuse
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:opensuse:12.2"

    -what desktop environment and version, if any?
    KDE standard for 12.2
    -did this system ever ran without these problems?
    maybe a day or so... innstalled 11.4 from an old disk and upgraded... worked for a while and then broke
    -do you often log into KDE/GNOME/LXDE/Xfce/etc as the System
    Administrator or root?
    No only su in shell occasionally

    -if you are running in a VM or on a real machine.
    Real
    -you say you get that error when you try to install....what i want to
    know is where do you see that error? is it a pop-up error message in KDE
    or other desktop? or is it in a terminal running YaST
    it a popup error
    since i have _never_ had to do this: rm -R /var/cache/zypp/* it seems
    to me that your system is really badly broken, and i have to wonder how
    that happened!

    can you tell us what happened? not long before it started needing to
    have that cache wiped out...
    Not much happened....,that i know

    --
    dd
    hope you can help with some more info.....

  4. #4
    dd NNTP User

    Default Re: Yast aplication and update fails

    >> -did this system ever ran without these problems?
    > maybe a day or so... innstalled 11.4 from an old disk and upgraded...
    > worked for a while and then broke


    ok that is probably the problem right there..

    first, there is no recommended/supported upgrade path directly from 11.4
    to 12.2

    instead you go from a fully patched and totally updated 11.4 to 12.1,
    then fully patch/update it, and finally you can then upgrade to 12.2

    the recommended/supported three ways are here:
    http://tinyurl.com/35p966c
    http://tinyurl.com/93uemsr
    http://tinyurl.com/7l4m2td

    the first two of those would require you to step though each version and
    only the last would get you from 11.4 directly to 12.2 *maybe*, and then
    only if you used the DVD (which i gather is not how you did the deed)

    i'd suggest you start with a clean, md5sum checked install disk/stick
    for 12.2 and these troubles will be history..

    personally, i wouldn't spend two minutes trying to figure out all the
    things that are wrong with your system...there are plenty, no doubt..

    on the other hand if you just want a good, stable, dependable Linux box
    then install 11.4 and immediately switch to Evergreen, that will keep
    you running until July 2014 (which is six months longer than 12.2,
    unless it also rolls into Evergreen)..

    read about it here: http://tinyurl.com/4aflkpy

    by the way, i'm typing to you in openSUSE 11.4 Evergreen..

    --
    dd http://tinyurl.com/DD-Software


  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Yast aplication and update fails

    On 2012-12-18 17:03, dd wrote:
    >>> -did this system ever ran without these problems?

    >> maybe a day or so... innstalled 11.4 from an old disk and upgraded...
    >> worked for a while and then broke


    > the recommended/supported three ways are here:
    > http://tinyurl.com/35p966c
    > http://tinyurl.com/93uemsr
    > http://tinyurl.com/7l4m2td


    > i'd suggest you start with a clean, md5sum checked install disk/stick
    > for 12.2 and these troubles will be history..


    If the system has been recently installed, there is not much to loose by
    reinstalling fresh 12.2. If you want to try repair it, I would go with
    the many recommendations on the wiki, specially with the offline upgrade
    method.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4, with Evergreen, x86_64 "Celadon" (Minas Tirith))

  6. #6
    Join Date
    Sep 2009
    Location
    UK
    Posts
    301

    Default Re: Yast aplication and update fails

    This has started happened to me on fresh 12.2 installs over the last few days
    so I'm not convinced it was the posters update from 11.4 that is entirely to blame.
    If you disable the Non_OSS repo then the problem goes away.

    M

  7. #7
    Join Date
    Sep 2009
    Location
    UK
    Posts
    301

    Default Re: Yast aplication and update fails

    Quote Originally Posted by interele View Post
    This has started happened to me on fresh 12.2 installs over the last few days
    so I'm not convinced it was the posters update from 11.4 that is entirely to blame.
    If you disable the Non_OSS repo then the problem goes away.

    M
    Forget this.. I am having a Wednesday

    On some machines it happens all the time and on others not at all
    I'll have to investigate some more

  8. #8

    Default Re: Yast aplication and update fails

    Did a reinstall, all good now....
    But thanks for all replies, was hoping to learn and solve.,.. but got into a lot of troubles.... tried to reinstall the package handler as zypper worked, but ended up in xwin land and no network... did a 30 min reinstall from live cd (12.2) and all eems to work now

    Regards

    Tore

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •